package ru.littlevictor.radio;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.RadioButton;
import android.widget.TextView;

public class AdapterDialogChooseValue extends ArrayAdapter<String> {

    LayoutInflater lInflater;
    String[] data;
    int selectedPosition;

    public AdapterDialogChooseValue(Context context, String[] data, int selectedPosition) {
        super(context, 0, data);
        this.data = data;
        this.selectedPosition = selectedPosition;
    	lInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    };
    
	@Override
	public View getView(int position, View view, ViewGroup parent) {
        view = lInflater.inflate(R.layout.dialog_choose_value_cell, parent, false);
		TextView text = (TextView) view.findViewById(R.id.text1);
        text.setText(data[position]);
        RadioButton btn = (RadioButton) view.findViewById(R.id.btn_radio);
        if(selectedPosition == position) {
            btn.setEnabled(true);
            btn.setChecked(true);
        }
		return view;
	};
};

